Ignore:
File:
1 edited

Legend:

Unmodified
Added
Removed
  • install-scripts/mac/dailyrun.sh

    r10910 r11429  
    9090## Daily bundle build from hg (for now always until versioning is established). 
    9191if [[ true || $NEW_ORANGE || $NEW_BIOINFORMATICS || $NEW_TEXT || $FORCE ]]; then 
    92     ./bundle-daily-build-hg.sh $NEW_BUNDLE_ADDONS &> $WORK_DIR/bundle-daily-build.log 
     92    ./bundle-daily-build-hg.sh "$WORK_DIR" "$PUBLISH_DIR" $NEW_BUNDLE_ADDONS &> $WORK_DIR/bundle-daily-build.log 
    9393    EXIT_VALUE=$? 
    9494fi 
     
    104104 
    105105 
    106 MAC_VERSION=`sw_vers -productVersion | cut -d '.' -f 2` 
    107 ARCH=`perl -MFink::FinkVersion -e 'print Fink::FinkVersion::get_arch'` 
    108  
    109 FINK_ROOT=/sw 
    110  
    111 if [ ! $LOCAL ]; then 
    112     # Compare with the published info files 
    113     BASE="http://orange.biolab.si/fink/dists/$ARCH/main/finkinfo" 
    114 else 
    115     # Compare with the local info files 
    116     BASE="file://$FINK_ROOT/fink/dists/local/main/finkinfo" 
    117 fi 
    118  
    119  
    120 OLD_ORANGE_VERSION=`curl --silent $BASE/orange-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
    121 OLD_BIOINFORMATICS_VERSION=`curl --silent $BASE/orange-bioinformatics-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
    122 OLD_TEXT_VERSION=`curl --silent $BASE/orange-text-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
    123  
    124 if [[ $OLD_ORANGE_VERSION < $ORANGE_VERSION ]]; then 
    125     NEW_ORANGE=1 
    126 fi 
    127  
    128 if [[ $OLD_BIOINFORMATICS_VERSION < $BIOINFORMATICS_VERSION ]]; then 
    129     NEW_BIOINFORMATICS=1 
    130 fi 
    131  
    132 if [[ $OLD_TEXT_VERSION < $TEXT_VERSION ]]; then 
    133     NEW_TEXT=1 
    134 fi 
    135  
    136  
    137 # Base url for sources in fink .info files 
    138 if [ $LOCAL ]; then 
    139     BASE_URL="file://$PUBLISH_DIR/sources" 
    140 else 
    141     BASE_URL="http://orange.biolab.si/download/sources" 
    142 fi 
    143  
    144 # Update the local finkinfo  
    145 # Local info files will be moved to biolab/main/finkinfo in fink-daily-build-packages.sh 
    146 FINK_INFO_DIR="$FINK_ROOT/fink/dists/local/main/finkinfo" 
    147  
    148 if [ ! -e $FINK_INFO_DIR ]; then 
    149     mkdir -p $FINK_INFO_DIR 
    150 fi 
    151  
    152 # Remove any old remaining local .info files 
    153 rm -f $FINK_INFO_DIR/orange-*.info 
    154  
    155 # Directory where fink .info templates are 
    156 FINK_TEMPLATES=$WORK_DIR/orange/install-scripts/mac/fink 
    157  
    158 FINK_LOG=$WORK_DIR/fink-daily-build.log 
    159 echo "" > $FINK_LOG 
    160  
    161 if [[ $NEW_ORANGE || $FORCE ]]; then 
    162     FINK_ORANGE_SOURCE_TEMPLATE="Orange-%v.tar.gz" 
    163     ./fink-register-info.sh "$FINK_TEMPLATES/orange-gui-dev-py.info" $BASE_URL/$FINK_ORANGE_SOURCE_TEMPLATE $ORANGE_SOURCE_MD5 $ORANGE_VERSION $FINK_INFO_DIR/orange-gui-dev-py.info >> $FINK_LOG 2>&1 
    164     FINK_ORANGE_INFO_EXIT_VALUE=$? 
    165 fi 
    166  
    167 if [[ $NEW_BIOINFORMATICS || $FORCE ]]; then 
    168     FINK_BIOINFORMATICS_SOURCE_TEMPLATE="Orange-Bioinformatics-%v.tar.gz" 
    169     ./fink-register-info.sh "$FINK_TEMPLATES/orange-bioinformatics-gui-dev-py.info" $BASE_URL/$FINK_BIOINFORMATICS_SOURCE_TEMPLATE $BIOINFORMATICS_SOURCE_MD5 $BIOINFORMATICS_VERSION $FINK_INFO_DIR/orange-bioinformatics-gui-dev-py.info >> $FINK_LOG 2>&1 
    170     FINK_BIOINFORMATICS_INFO_EXIT_VALUE=$? 
    171 fi 
    172  
    173 if [[ $NEW_TEXT || $FORCE ]]; then 
    174     FINK_TEXT_SOURCE_TEMPLATE="Orange-Text-%v.tar.gz" 
    175     ./fink-register-info.sh "$FINK_TEMPLATES/orange-text-gui-dev-py.info" $BASE_URL/$FINK_TEXT_SOURCE_TEMPLATE $TEXT_SOURCE_MD5 $TEXT_VERSION $FINK_INFO_DIR/orange-text-gui-dev-py.info >> $FINK_LOG 2>&1 
    176     FINK_TEXT_INFO_EXIT_VALUE=$? 
    177 fi 
    178  
    179 if [ ! $LOCAL ]; then 
    180     /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    181 fi 
    182  
    183 EXIT_VALUE=$(($FINK_ORANGE_INFO_EXIT_VALUE + $FINK_BIOINFORMATICS_INFO_EXIT_VALUE + $FINK_TEXT_INFO_EXIT_VALUE)) 
    184 if (($EXIT_VALUE)); then 
    185     echo "Running fink-register-info.sh failed" 
    186     rm -f $FINK_INFO_DIR/orange-*.info 
    187 fi 
    188  
    189 ## daily fink build 
    190  
    191 ./fink-daily-build-packages.sh &> $WORK_DIR/fink-daily-build-packages.log 
    192 EXIT_VALUE=$? 
    193  
    194 if [ ! $LOCAL ]; then 
    195     /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    196 fi 
    197  
    198 echo "Orange (fink $MAC_VERSION $ARCH) [$EXIT_VALUE]" > "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
    199 date >> "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
    200 cat $WORK_DIR/fink-daily-build-packages.log >> "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
    201 (($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed" 
     106#MAC_VERSION=`sw_vers -productVersion | cut -d '.' -f 2` 
     107#ARCH=`perl -MFink::FinkVersion -e 'print Fink::FinkVersion::get_arch'` 
     108# 
     109#FINK_ROOT=/sw 
     110# 
     111#if [ ! $LOCAL ]; then 
     112#   # Compare with the published info files 
     113#   BASE="http://orange.biolab.si/fink/dists/$ARCH/main/finkinfo" 
     114#else 
     115#   # Compare with the local info files 
     116#   BASE="file://$FINK_ROOT/fink/dists/local/main/finkinfo" 
     117#fi 
     118# 
     119# 
     120#OLD_ORANGE_VERSION=`curl --silent $BASE/orange-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
     121#OLD_BIOINFORMATICS_VERSION=`curl --silent $BASE/orange-bioinformatics-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
     122#OLD_TEXT_VERSION=`curl --silent $BASE/orange-text-gui-dev-py.info | grep "Version: " | cut -d" " -f 2` 
     123# 
     124#if [[ $OLD_ORANGE_VERSION < $ORANGE_VERSION ]]; then 
     125#   NEW_ORANGE=1 
     126#fi 
     127# 
     128#if [[ $OLD_BIOINFORMATICS_VERSION < $BIOINFORMATICS_VERSION ]]; then 
     129#   NEW_BIOINFORMATICS=1 
     130#fi 
     131# 
     132#if [[ $OLD_TEXT_VERSION < $TEXT_VERSION ]]; then 
     133#   NEW_TEXT=1 
     134#fi 
     135# 
     136# 
     137## Base url for sources in fink .info files 
     138#if [ $LOCAL ]; then 
     139#   BASE_URL="file://$PUBLISH_DIR/sources" 
     140#else 
     141#   BASE_URL="http://orange.biolab.si/download/sources" 
     142#fi 
     143# 
     144## Update the local finkinfo 
     145## Local info files will be moved to biolab/main/finkinfo in fink-daily-build-packages.sh 
     146#FINK_INFO_DIR="$FINK_ROOT/fink/dists/local/main/finkinfo" 
     147# 
     148#if [ ! -e $FINK_INFO_DIR ]; then 
     149#   mkdir -p $FINK_INFO_DIR 
     150#fi 
     151# 
     152## Remove any old remaining local .info files 
     153#rm -f $FINK_INFO_DIR/orange-*.info 
     154# 
     155## Directory where fink .info templates are 
     156#FINK_TEMPLATES=$WORK_DIR/orange/install-scripts/mac/fink 
     157# 
     158#FINK_LOG=$WORK_DIR/fink-daily-build.log 
     159#echo "" > $FINK_LOG 
     160# 
     161#if [[ $NEW_ORANGE || $FORCE ]]; then 
     162#   FINK_ORANGE_SOURCE_TEMPLATE="Orange-%v.tar.gz" 
     163#   ./fink-register-info.sh "$FINK_TEMPLATES/orange-gui-dev-py.info" $BASE_URL/$FINK_ORANGE_SOURCE_TEMPLATE $ORANGE_SOURCE_MD5 $ORANGE_VERSION $FINK_INFO_DIR/orange-gui-dev-py.info >> $FINK_LOG 2>&1 
     164#   FINK_ORANGE_INFO_EXIT_VALUE=$? 
     165#fi 
     166# 
     167#if [[ $NEW_BIOINFORMATICS || $FORCE ]]; then 
     168#   FINK_BIOINFORMATICS_SOURCE_TEMPLATE="Orange-Bioinformatics-%v.tar.gz" 
     169#   ./fink-register-info.sh "$FINK_TEMPLATES/orange-bioinformatics-gui-dev-py.info" $BASE_URL/$FINK_BIOINFORMATICS_SOURCE_TEMPLATE $BIOINFORMATICS_SOURCE_MD5 $BIOINFORMATICS_VERSION $FINK_INFO_DIR/orange-bioinformatics-gui-dev-py.info >> $FINK_LOG 2>&1 
     170#   FINK_BIOINFORMATICS_INFO_EXIT_VALUE=$? 
     171#fi 
     172# 
     173#if [[ $NEW_TEXT || $FORCE ]]; then 
     174#   FINK_TEXT_SOURCE_TEMPLATE="Orange-Text-%v.tar.gz" 
     175#   ./fink-register-info.sh "$FINK_TEMPLATES/orange-text-gui-dev-py.info" $BASE_URL/$FINK_TEXT_SOURCE_TEMPLATE $TEXT_SOURCE_MD5 $TEXT_VERSION $FINK_INFO_DIR/orange-text-gui-dev-py.info >> $FINK_LOG 2>&1 
     176#   FINK_TEXT_INFO_EXIT_VALUE=$? 
     177#fi 
     178# 
     179#if [ ! $LOCAL ]; then 
     180#   /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
     181#fi 
     182# 
     183#EXIT_VALUE=$(($FINK_ORANGE_INFO_EXIT_VALUE + $FINK_BIOINFORMATICS_INFO_EXIT_VALUE + $FINK_TEXT_INFO_EXIT_VALUE)) 
     184#if (($EXIT_VALUE)); then 
     185#   echo "Running fink-register-info.sh failed" 
     186#   rm -f $FINK_INFO_DIR/orange-*.info 
     187#fi 
     188# 
     189### daily fink build 
     190# 
     191#./fink-daily-build-packages.sh &> $WORK_DIR/fink-daily-build-packages.log 
     192#EXIT_VALUE=$? 
     193# 
     194#if [ ! $LOCAL ]; then 
     195#   /Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
     196#fi 
     197# 
     198#echo "Orange (fink $MAC_VERSION $ARCH) [$EXIT_VALUE]" > "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
     199#date >> "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
     200#cat $WORK_DIR/fink-daily-build-packages.log >> "$LOG_DIR/fink-$MAC_VERSION-$ARCH-daily-build.log" 
     201#(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed" 
    202202 
    203203# Zero exit value 
Note: See TracChangeset for help on using the changeset viewer.